Page MenuHomePhabricator

Vector's dropdown menus are not keyboard-accessible without JavaScript
Closed, ResolvedPublic

Description

Vector's dropdown menus are not keyboard-accessible without JavaScript.

With JavaScript enabled, there's a little script that makes the dropdown menu handles focusable and handles keypresses on them to display the menu (T26298). But grade C browsers and users without JavaScript are left out in the cold.

Event Timeline

matmarex created this task.Jun 16 2017, 5:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 16 2017, 5:11 PM

Change 359474 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/skins/Vector@master] Make dropdown menus keyboard-accessible without JavaScript

https://gerrit.wikimedia.org/r/359474

Change 359475 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/skins/Vector@master] Remove old selectors and JavaScript for dropdown menus

https://gerrit.wikimedia.org/r/359475

matmarex claimed this task.Jun 16 2017, 5:22 PM
matmarex triaged this task as Low priority.

Change 359474 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Make dropdown menus keyboard-accessible without JavaScript

https://gerrit.wikimedia.org/r/359474

matmarex closed this task as Resolved.Feb 7 2018, 2:02 AM
matmarex removed a project: Patch-For-Review.

\o/

Change 359475 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Remove old selectors and JavaScript for dropdown menus

https://gerrit.wikimedia.org/r/359475

Krinkle moved this task from Backlog to UX or stuff on the Vector board.Mar 12 2018, 11:54 PM